PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::solvers::FermiNew::DgDnData< GeometryT > Struct Template Reference
Inheritance diagram for plask::solvers::FermiNew::DgDnData< GeometryT >:
[legend]
Collaboration diagram for plask::solvers::FermiNew::DgDnData< GeometryT >:
[legend]

## Public Member Functions
template<typename... Args>
| DgDnData (Args... args)
Tensor2< double > | getValue (double wavelength, double temp, double conc, const typename FermiNewGainSolver< GeometryT >::ActiveRegionInfo &region, const Levels &levels) override
Public Member Functions inherited from plask::solvers::FermiNew::DataBase< GeometryT, Tensor2< double > >
void | setupFromAxis (const shared_ptr< MeshAxis > &axis)
| DataBase (FermiNewGainSolver< GeometryT > *solver, const shared_ptr< const MeshD< 2 > > &dst_mesh)
void | compute (double wavelength, InterpolationMethod interp)
size_t | size () const override
| Get the number of elements in this vector.
Tensor2< double > | at (size_t i) const override
Public Member Functions inherited from plask::LazyDataImpl< T >
virtual | ~LazyDataImpl ()
virtual T | at (std::size_t index) const =0
| Get index-th value from vector.
virtual DataVector< const T > | getAll () const
| Get all values as non-lazy vector.
virtual DataVector< T > | claim () const

## Additional Inherited Members
Public Types inherited from plask::LazyDataImpl< T >
typedef T | CellType
Public Attributes inherited from plask::solvers::FermiNew::DataBase< GeometryT, Tensor2< double > >
FermiNewGainSolver< GeometryT > * | solver
| Solver.
std::vector< shared_ptr< MeshAxis > > | regpoints
| Points in each active region.
std::vector< LazyData< Tensor2< double > > > | data
| Computed interpolations in each active region.
shared_ptr< const MeshD< 2 > > | dest_mesh
| Destination mesh.

## Detailed Description

template<typename GeometryT>
struct plask::solvers::FermiNew::DgDnData< GeometryT >

Definition at line 848 of file ferminew.cpp.

## Constructor & Destructor Documentation

## ◆ DgDnData()

template<typename GeometryT >
template<typename... Args>

plask::solvers::FermiNew::DgDnData< GeometryT >::DgDnData | ( | Args... | args | ) |
| inline

Definition at line 849 of file ferminew.cpp.

## Member Function Documentation

## ◆ getValue()

template<typename GeometryT >

Tensor2< double > plask::solvers::FermiNew::DgDnData< GeometryT >::getValue | ( | double | wavelength,
|  | double | temp,
|  | double | conc,
|  | const typename FermiNewGainSolver< GeometryT >::ActiveRegionInfo & | region,
|  | const Levels & | levels
| ) |  |
| inline override virtual

Implements plask::solvers::FermiNew::DataBase< GeometryT, Tensor2< double > >.

Definition at line 851 of file ferminew.cpp.

The documentation for this struct was generated from the following file:

- solvers/gain/wasiak/ferminew.cpp